Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageIslandRemoval2D Class Reference

`#include <vtkImageIslandRemoval2D.h>`

Inheritance diagram for vtkImageIslandRemoval2D:

[legend]
Collaboration diagram for vtkImageIslandRemoval2D:

[legend]
List of all members.

## Detailed Description

Removes small clusters in masks.

Date:
  2002/01/22 15:32:48

Revision:
  1.36

vtkImageIslandRemoval2D computes the area of separate islands in a mask image. It removes any island that has less than AreaThreshold pixels. Output has the same ScalarType as input. It generates the whole 2D output image for any output request.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (57%)
  - Martin, Ken (37%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageIslandRemoval2D.h)`
  - .`cxx` (`/Imaging/vtkImageIslandRemoval2D.cxx)`

Tests:
  vtkImageIslandRemoval2D (Tests)

Definition at line 57 of file vtkImageIslandRemoval2D.h.

## [NOHEADER]
typedef vtkImageToImageFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageIslandRemoval2D * | New ()
int | IsTypeOf (const char *type)
vtkImageIslandRemoval2D * | SafeDownCast (vtkObject *o)
## Public Methods
virtual void | SetAreaThreshold (int)
virtual int | GetAreaThreshold ()
virtual void | SetSquareNeighborhood (int)
virtual int | GetSquareNeighborhood ()
virtual void | SquareNeighborhoodOn ()
virtual void | SquareNeighborhoodOff ()
virtual void | SetIslandValue (float)
virtual float | GetIslandValue ()
virtual void | SetReplaceValue (float)
virtual float | GetReplaceValue ()
## Protected Methods
| vtkImageIslandRemoval2D ()
| ~vtkImageIslandRemoval2D ()
void | ExecuteData (vtkDataObject *output)
## Protected Attributes
int | AreaThreshold
int | SquareNeighborhood
float | IslandValue
float | ReplaceValue

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageIslandRemoval2D::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 63 of file vtkImageIslandRemoval2D.h.

## Constructor & Destructor Documentation

vtkImageIslandRemoval2D::vtkImageIslandRemoval2D | ( |  | ) | `[protected]`

vtkImageIslandRemoval2D::~vtkImageIslandRemoval2D | ( |  | ) | `[inline, protected]`

| Definition at line 94 of file vtkImageIslandRemoval2D.h.

## Member Function Documentation

vtkImageIslandRemoval2D* vtkImageIslandRemoval2D::New | ( |  | ) | `[static]`

| Constructor: Sets default filter to be identity. Reimplemented from vtkObject.

virtual const char* vtkImageIslandRemoval2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageIslandRemoval2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageIslandRemoval2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageIslandRemoval2D* vtkImageIslandRemoval2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageIslandRemoval2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageIslandRemoval2D::SetAreaThreshold | ( | int |  | ) | `[virtual]`

| Set/Get the cutoff area for removal

virtual int vtkImageIslandRemoval2D::GetAreaThreshold | ( |  | ) | `[virtual]`

| Set/Get the cutoff area for removal

virtual void vtkImageIslandRemoval2D::SetSquareNeighborhood | ( | int |  | ) | `[virtual]`

| Set/Get whether to use 4 or 8 neighbors

virtual int vtkImageIslandRemoval2D::GetSquareNeighborhood | ( |  | ) | `[virtual]`

| Set/Get whether to use 4 or 8 neighbors

virtual void vtkImageIslandRemoval2D::SquareNeighborhoodOn | ( |  | ) | `[virtual]`

| Set/Get whether to use 4 or 8 neighbors

virtual void vtkImageIslandRemoval2D::SquareNeighborhoodOff | ( |  | ) | `[virtual]`

| Set/Get whether to use 4 or 8 neighbors

virtual void vtkImageIslandRemoval2D::SetIslandValue | ( | float |  | ) | `[virtual]`

| Set/Get the value to remove.

virtual float vtkImageIslandRemoval2D::GetIslandValue | ( |  | ) | `[virtual]`

| Set/Get the value to remove.

virtual void vtkImageIslandRemoval2D::SetReplaceValue | ( | float |  | ) | `[virtual]`

| Set/Get the value to put in the place of removed pixels.

virtual float vtkImageIslandRemoval2D::GetReplaceValue | ( |  | ) | `[virtual]`

| Set/Get the value to put in the place of removed pixels.

void vtkImageIslandRemoval2D::ExecuteData | ( | vtkDataObject * | output | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageIslandRemoval2D::AreaThreshold`[protected]`

| Definition at line 96 of file vtkImageIslandRemoval2D.h.

int vtkImageIslandRemoval2D::SquareNeighborhood`[protected]`

| Definition at line 97 of file vtkImageIslandRemoval2D.h.

float vtkImageIslandRemoval2D::IslandValue`[protected]`

| Definition at line 98 of file vtkImageIslandRemoval2D.h.

float vtkImageIslandRemoval2D::ReplaceValue`[protected]`

| Definition at line 99 of file vtkImageIslandRemoval2D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageIslandRemoval2D.h